﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Configuration;

namespace CodePlex.TfsPluginSuite.Configuration
{
    public class WorkItemAssociationConfigurationElement : ConfigurationElement
    {
        [ConfigurationProperty("enabled", DefaultValue=(bool)false)]
        public bool Enabled
        {
            get
            {
                return (bool)base["enabled"];
            }
        }

        [ConfigurationProperty("DeniedWorkItemsPolicy")]
        public DeniedWorkItemsPolicyConfigurationElementCollection DeniedWorkItemsPolicy
        {
            get
            {
                return (DeniedWorkItemsPolicyConfigurationElementCollection)this["DeniedWorkItemsPolicy"];
            }
        }

        [ConfigurationProperty("RequiredWorkItemsPolicy")]
        public RequiredWorkItemsPolicyConfigurationElementCollection RequiredWorkItemsPolicy
        {
            get
            {
                return (RequiredWorkItemsPolicyConfigurationElementCollection)this["RequiredWorkItemsPolicy"];
            }
        }
    }
}
