﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Configuration;

namespace CodePlex.TfsPluginSuite.Configuration
{
    public class ForbiddenPatternConfigurationElement : ConfigurationElement
    {
        [ConfigurationProperty("name", IsRequired = true)]
        public string Name
        {
            get
            {
                return (string)base["name"];
            }
        }

        [ConfigurationProperty("regularExpression", IsRequired = true)]
        public string RegularExpression
        {
            get
            {
                return (string)base["regularExpression"];
            }
        }

        [ConfigurationProperty("message", IsRequired = true)]
        public string Message
        {
            get
            {
                return (string)base["message"];
            }
        }
    }
}
