﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Configuration;

namespace CodePlex.TfsPluginSuite.Configuration
{
    public class RequiredWorkItemsConfigurationElement : ConfigurationElement
    {
        [ConfigurationProperty("name", IsRequired = true)]
        public string Name
        {
            get
            {
                return (string)base["name"];
            }
        }

        [ConfigurationProperty("workItemQuery", IsRequired = true)]
        public string WorkItemQuery
        {
            get
            {
                return (string)base["workItemQuery"];
            }
        }

        [ConfigurationProperty("message", IsRequired = true)]
        public string Message
        {
            get
            {
                return (string)base["message"];
            }
        }

        [ConfigurationProperty("workInProgressLimit", IsRequired = true)]
        public int WorkInProgressLimit
        {
            get
            {
                return (int)base["workInProgressLimit"];
            }
        }

        [ConfigurationProperty("checkIterationDates", IsRequired = true)]
        public bool CheckIterationDates
        {
            get
            {
                return (bool)base["checkIterationDates"];
            }
        }
    }
}
